Page MenuHomePhabricator

Blog post series: the evolution of Wikimedia's Content Delivery Network
Closed, ResolvedPublic

Description

  • Provide a short summary of your proposed post for the Wikimedia Technical Blog:

We operate websites and services that are high volume and rank in the world’s top 20. On a normal day over 90% of the traffic is served by our own Content Delivery Network (CDN). As other parts of our technology stack, the CDN is based on open source software and is constantly evolving. During the last couple of years we have performed various architectural changes to the CDN in terms of on-disk HTTP caching and request routing. This 3 part series of articles will describe some of the changes, which included replacing Varnish with Apache Traffic Server (ATS) as the on-disk HTTP cache component. ATS allowed us to significantly simplify the CDN architecture, increase our uptime, and accelerate the procedure to switch between our two primary data centers in Virginia and Texas.

Technical explanation: problem / solution
Explainer for complicated tech concept or process

  • What audience or audiences do you think your post is appropriate for:

Engineers/technical folks

  • Will you need assistance with writing your blog post?

Editorial assistance most welcome!

  • Does your post need to be published by a certain date?

No

  • Do you have any other questions or comments?

Not at the moment!

@srodlund I've shared with you an initial google doc draft of the first post.

Event Timeline

ema created this task.Oct 6 2020, 10:41 AM
Restricted Application added a project: SRE. · View Herald TranscriptOct 6 2020, 10:41 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
ssingh added a subscriber: ssingh.Oct 6 2020, 11:48 AM
ema moved this task from Triage to Caching on the Traffic board.Oct 6 2020, 2:36 PM

@ema Great! The doc just came through. Looking forward to reading and editing this!

@ema Overall, the post is well-written and interesting! I made some minor grammar suggestions. Can you accept / reject them, and I'll move this over to the blog to prepare for publishing?

Do you happen to have an image in mind for this post? Here is more info about images in posts: https://www.mediawiki.org/wiki/Wikimedia_technical_blog_editorial_guidelines#Images_used_in_your_post

If you don't have one in mind, I can pick one for you.

ema added a comment.Oct 8 2020, 3:06 PM

I made some minor grammar suggestions. Can you accept / reject them

Done, thank you! I changed the contents a bit today, if you could give it another read that would be great.

Do you happen to have an image in mind for this post?

Nope!

If you don't have one in mind, I can pick one for you.

Yes, please.

It looks good to me! I am copying it over to the blog for publication next week. (Tuesday 13 Oct)

@ema are you the sole author would you like additional authors added?

@ema For the main image, I went with the earth from space: https://commons.wikimedia.org/wiki/File:North_America_from_low_orbiting_satellite_Suomi_NPP.jpg

I credited all of the images in the post to you as your own work, which will be under a CC BY-SA 4.0 license unless otherwise stated. Let me know if you want to change any of this.

I will hold publishing until I hear back from you. :-)

ema added a subscriber: Krinkle.Oct 14 2020, 9:41 AM

@ema are you the sole author

I am.

I credited all of the images in the post to you as your own work, which will be under a CC BY-SA 4.0 license unless otherwise stated. Let me know if you want to change any of this.

With the exception of the first image, which is https://wikitech.wikimedia.org/wiki/Template:ClusterMap and was made available by @Krinkle under CC BY-SA 3.0, the rest is my own work and I'm OK with CC BY-SA 4.0.

I will hold publishing until I hear back from you.

Let's publish! :)

@ema This has been published! https://techblog.wikimedia.org/2020/10/14/wikimedias-cdn/

Can you take a quick look and let me know if everything looks good? If so, I'll send out announcements!

"Own work" is not a person or a license, seen in captions. Should be replaced with eg "attribution/license", or omitted, I think?

ema added a comment.Oct 15 2020, 8:29 AM

"Own work" is not a person or a license, seen in captions. Should be replaced with eg "attribution/license", or omitted, I think?

Yeah, I agree. Other than that, the rest looks good @srodlund, thanks!

@Krinkle and @ema I put "own work" to indicate that @ema who is the author is also the creator of the images, and have done so with past blog posts where the author is also the creator. I can remove this for this post or add @ema as the attribution.

There is a statement on the footer of the blog that all content is under a CC BY-SA 4.0 unless otherwise stated.

For featured images, I usually add the license regardless of if it is CC By-SA 4.0 or not, but if it is an image in the body of the work, created by the author, and under the blanket CC BY-SA 4.0, I don't necessarilly add it every single time. The blanket license should cover this. If you feel this is not explicit enough, I can start adding it to all images going forward.

srodlund closed this task as Resolved.Oct 15 2020, 6:03 PM

This has been changed, and I announced on Twitter. Thanks for the great post :-)

Resolving.

ema added a comment.Oct 16 2020, 8:58 AM

This has been changed, and I announced on Twitter.

@srodlund: the first picture, "Data centers", is wrongly attributed to me. It's Timo Tijhof's work, and the caption should reflect that.

Thanks for the great post :-)

Thank you so much!